<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.cardview.widget.CardView
            android:id="@+id/wrapper_castanhadora_dialogo"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:cardBackgroundColor="?attr/colorButtonNormal"
            app:cardCornerRadius="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="8dp">

                <ImageView
                    android:id="@+id/ic_castanhadora_dialogo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:layout_marginLeft="8dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/ic_castanhadora_dialogo" />

                <TextView
                    android:id="@+id/castanhadora_dialogo_titulo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginLeft="16dp"
                    android:text="@string/castanhadora_dialogo_titulo"
                    android:textAppearance="@style/TextAppearance.AppCompat.Large"
                    android:textColor="@android:color/white"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/ic_castanhadora_dialogo"
                    app:layout_constraintStart_toEndOf="@+id/ic_castanhadora_dialogo" />

                <br.coop.eita.castanhadora.util.GridViewDetalhe
                    android:id="@+id/dialogo_castanhadora_grid_view"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="8dp"
                    android:layout_marginLeft="8dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="8dp"
                    android:layout_marginRight="8dp"
                    android:horizontalSpacing="@dimen/app_icon_size_sm"
                    android:numColumns="2"
                    android:verticalSpacing="0dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/ic_castanhadora_dialogo" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>